package com.jeesite.modules.consult.service;

import java.util.List;

import com.jeesite.modules.consult.dao.ConsultHelpDao;
import com.jeesite.modules.consult.entity.ConsultHelp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;

/**
 * 咨询帮助 主表Service
 * @author wxm
 * @version 2022-06-07
 */
@Service
@Transactional(readOnly=true)
public class ConsultHelpService extends CrudService<ConsultHelpDao, ConsultHelp> {

	@Autowired
	private ConsultHelpDao consultHelpDao;
	
	/**
	 * 获取单条数据
	 * @param consultHelp
	 * @return
	 */
	@Override
	public ConsultHelp get(ConsultHelp consultHelp) {
		return super.get(consultHelp);
	}
	
	/**
	 * 查询分页数据
	 * @param consultHelp 查询条件
	 * @param consultHelp.page 分页对象
	 * @return
	 */
	@Override
	public Page<ConsultHelp> findPage(ConsultHelp consultHelp) {
		return super.findPage(consultHelp);
	}
	
	/**
	 * 查询列表数据
	 * @param consultHelp
	 * @return
	 */
	@Override
	public List<ConsultHelp> findList(ConsultHelp consultHelp) {
		return super.findList(consultHelp);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param consultHelp
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(ConsultHelp consultHelp) {
		super.save(consultHelp);
	}
	
	/**
	 * 更新状态
	 * @param consultHelp
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(ConsultHelp consultHelp) {
		super.updateStatus(consultHelp);
	}
	
	/**
	 * 删除数据
	 * @param consultHelp
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(ConsultHelp consultHelp) {
		super.delete(consultHelp);
	}

	public int test(){
		return consultHelpDao.getCount();
	}

	public List<ConsultHelp>  getEntityList(ConsultHelp consultHelp){
		return consultHelpDao.getEntityList(consultHelp);
	}
	
}